Subject: Bug#93: x2goagent should create /tmp/.X11-unix directory

From: Reinhard Tartler <[email-masked]>
Date: Wed, 19 Dec 2012 20:47:54 +0100

On Wed, Dec 19, 2012 at 5:32 PM, Orion Poplawski <[email-masked]> wrote:
> On 12/19/2012 09:14 AM, Reinhard Tartler wrote:
>>
>> On Wed, Dec 19, 2012 at 9:20 AM, Mike Gabriel
>> <[email-masked]> wrote:
>>>
>>> Package: x2goagent
>>> Severity: normal
>>>
>>>
>>>
>>> ----- Weitergeleitete Nachricht von [email-masked] -----
>>>       Datum: Wed, 19 Dec 2012 08:57:53 +0100
>>>         Von: [email-masked]
>>>     Betreff: [X2Go-User] RHEL6 package should create /tmp/.X11-unix
>>> directory
>>>          An: [email-masked]
>>>
>>> Hi all,
>>>
>>> After much hunting I found what the problem was runnung x2goserver on a
>>> freshly installed server.
>>>
>>> Apparently X2Go requires the /tmp/.X11-unix directory to exist with
>>> permissions 1777.
>>>
>>> Could you please see to it the creation of this directory and the
>>> permissions settings are performed by teh x2goserver package.
>>
>>
>>
>> At least in debian, this directory is created by the init script of
>> the x11-common package. Maybe x2goserver should explicitly depend on
>> that package.
>>
>> I'm not sure what the equivalent package is in RedHat/Fedora, but it
>> clearly seems to be a packaging issue to me.
>>
>
> On Fedora it is created via systemd's tmpfiles mechanism, and in fact
> provided by the systemd package so it will be on all machines.
>
> I'm using it on a RHEL6 server with no native/local X server.  The X server
> itself will create the directory if it doesn't exist, but will abort if it
> already exists but with the wrong owner or permissions.

Are you absolutely sure that the X server binary creates this itself?
Or is that some startup script shipped as part of the X server
package?

-- 
regards,
    Reinhard